> ## Documentation Index
> Fetch the complete documentation index at: https://usegately.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates

> Returns all email templates for your project.

## Headers

<ParamField header="Authorization" type="string" required>
  `Bearer YOUR_API_KEY`
</ParamField>

## Response

<ResponseField name="templates" type="array">
  Array of template objects.

  <Expandable title="Template object">
    <ResponseField name="id" type="string">Template ID.</ResponseField>
    <ResponseField name="name" type="string">Template name.</ResponseField>
    <ResponseField name="subject" type="string">Default subject line.</ResponseField>
    <ResponseField name="category" type="string">Template category.</ResponseField>
    <ResponseField name="created_at" type="string">ISO 8601 creation timestamp.</ResponseField>
    <ResponseField name="updated_at" type="string">ISO 8601 last-updated timestamp.</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.usegately.com/api/v1/email/templates \
    -H "Authorization: Bearer gately_YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://api.usegately.com/api/v1/email/templates', {
    headers: { 'Authorization': 'Bearer gately_YOUR_API_KEY' },
  });

  const { templates } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.usegately.com/api/v1/email/templates',
      headers={'Authorization': 'Bearer gately_YOUR_API_KEY'},
  )

  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "templates": [
      {
        "id": "tmpl_abc123",
        "name": "Welcome Email",
        "subject": "Welcome to {{project}}, {{name}}!",
        "category": "welcome",
        "created_at": "2026-08-02T10:00:00Z",
        "updated_at": "2026-08-02T10:00:00Z"
      },
      {
        "id": "tmpl_def456",
        "name": "Password Reset",
        "subject": "Reset your password",
        "category": "transactional",
        "created_at": "2026-07-20T08:00:00Z",
        "updated_at": "2026-07-20T08:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
